#!/usr/bin/env sh

set -e

SCRIPT=$(readlink -f "$0")
SCRIPTPATH=$(dirname "$SCRIPT")

if test -n "$1"; then
    FILE_PATH=$1
elif test ! -t 0; then
    read -r FILE_PATH
else
    >&2 echo "Provide a file"
    exit 1
fi

if file -i -b "$FILE_PATH" | grep "text" &> /dev/null; then
	$SCRIPTPATH/nc-share-text.sh "$FILE_PATH"
elif file -i -b "$FILE_PATH" | grep "image" &> /dev/null; then
	$SCRIPTPATH/nc-share-file.sh "$FILE_PATH" | awk '{print $1"/preview"}'
else 
	$SCRIPTPATH/nc-share-file.sh "$FILE_PATH"
fi

